Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.support.encoding
[Java] Interface Encodeable

    public interface Encodeable

Marks a class capable of encoding itself with given Encoder

Authors:
  Lari Hotari

Since:
  2.3

Method Summary
`java.lang.CharSequence` | `encode(Encoder encoder)` Encode with given encoder.

Method Detail

### encode

    public java.lang.CharSequence encode(Encoder encoder)

  Encode with given encoder.
  Parameters:
    `encoder` - the encoder
  Returns:
    the encoded result

Groovy Documentation